
# :construction: A curated list of awesome sources and libs for Embedded Systems

There is my attempt to create list of software for Embedded Systems

URL: https://github.com/iDoka/awesome-embedded-software


## Contents

Under construct


## Common

* [LwGPS](https://github.com/MaJerle/lwgps) - Lightweight GPS NMEA parser for embedded systems
* [LwESP](https://github.com/MaJerle/lwesp) - lightweight ESP AT commands parser library to communicate with ESP8266 or ESP32 Wi-Fi module using AT commands
* [LwGSM](https://github.com/MaJerle/lwgsm) - Library for SIMCOM GSM modules to communicate with AT commands and RTOS from host device
* [LwRB](https://github.com/MaJerle/lwrb) - Lightweight generic ring buffer manager library
* [lwprintf](https://github.com/MaJerle/lwprintf) - Lightweight printf library optimized for embedded systems
* [lwpkt](https://github.com/MaJerle/lwpkt) - Lightweight packet protocol structure for multi-device communication focused on RS-485
* [lwow](https://github.com/MaJerle/lwow) - Lightweight onewire protocol library optimized for UART hardware on embedded systems
* [lwmem](https://github.com/MaJerle/lwmem) - Lightweight dynamic memory manager library for embedded systems with memory constraints. It implements malloc, calloc, realloc and free functions


* [embedded-libs](https://github.com/MaJerle/embedded-libs) - Libraries for embedded software (mainly for STM32)
* [RegExp](https://github.com/MaJerle/RegExp) - Regular expressions library for embedded systems
* []()
* []()
* []()




## GUI

* [lvgl](https://github.com/lvgl/lvgl) - Powerful and easy-to-use embedded GUI with many widgets, advanced visual effects (opacity, antialiasing, animations) and low memory requirements (16K RAM, 64K Flash)
* [EasyGUI](https://github.com/MaJerle/EasyGUI) - EasyGUI for embedded systems (highly optimized for STM32)


## RTOS

* []()
* []()
* []()


## Uncategorized
* []()
* []()
* []()
* []()
* []()


## Tags

embedded
embedded-systems
rtos
stm32
cortex-m
risc-v
